Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundValueRefBase Struct Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundValueRefBase:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundValueRefBase:
[legend]

## Public Member Functions

virtual auto | setValue (std::string const &arg) -> ParserResult=0
Public Member Functions inherited from Catch::Clara::Detail::BoundRef
virtual | ~BoundRef ()=default
virtual bool | isContainer () const
virtual bool | isFlag () const

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Member Function Documentation

## setValue()

virtual auto Catch::Clara::Detail::BoundValueRefBase::setValue | ( | std::string const & | arg | ) | -> ParserResult

pure virtual

Implemented in Catch::Clara::Detail::BoundLambda< L >, Catch::Clara::Detail::BoundValueRef< T >, Catch::Clara::Detail::BoundValueRef< std::vector< T > >, and Catch::Clara::Detail::BoundValueRef< std::vector< T > >.

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp